"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function CustomError(errorName) {
    class MyCustomError extends Error {
        constructor(m) {
            super(m);
            this.name = errorName;
            // Set the prototype explicitly.
            Object.setPrototypeOf(this, MyCustomError.prototype);
            Error.captureStackTrace(this, MyCustomError);
        }
    }
    return MyCustomError;
}
exports.default = CustomError;
;
