/// <reference types="lodash" />
export default class UserSettings {
    baseDir: string;
    username: string;
    redisClient: any;
    prefix: string;
    constructor(baseDir: string, username: string, redisClient: any);
    get(key: string): Promise<any>;
    set(key: string, value: string | number): Promise<void>;
    loadUserSettings(): Promise<_.Dictionary<any>>;
    isMaybeLoggedIn(): Promise<any>;
    private getAllKeys();
}
